Subject: Ticket Assigned - Delivery
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 11 Mar 2021 13:23:48 +0000

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I have called you twice and customer support didn't do anything. My shipment should have arrived on Monday 8th of March and as of the date of today 9th of March I haven't received any call updating me about my shipment. Bearing in mind that I have been contacted last week confirming my address and that my shipment will be delivered on Monday between 11 and 2.

Order #8237518550 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2217332